Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.gradientimages
Class OrderingListClickedGradient

    java.lang.Object
      org.ajax4jsf.resource.InternetResourceBase
          org.ajax4jsf.resource.Java2Dresource
              org.richfaces.renderkit.html.BaseGradient
                  org.richfaces.renderkit.html.gradientimages.OrderingListClickedGradient

All Implemented Interfaces:
  org.ajax4jsf.resource.InternetResource

    public class OrderingListClickedGradient

extends org.richfaces.renderkit.html.BaseGradient

Author:
  Siarhej Chalipau

Nested Class Summary

Nested classes/interfaces inherited from class org.richfaces.renderkit.html.BaseGradient
`org.richfaces.renderkit.html.BaseGradient.Data`

Field Summary

Fields inherited from interface org.ajax4jsf.resource.InternetResource
`CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, DEFAULT_EXPITE_PARAMETER, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

Constructor Summary
`OrderingListClickedGradient()`

Method Summary
`protected void` | `paint(org.ajax4jsf.resource.ResourceContext resourceContext, java.awt.Graphics2D g2d)`

Methods inherited from class org.richfaces.renderkit.html.BaseGradient
`createData, deserializeData, drawGradient, getBaseColor, getColorValueParameter, getDataToStore, getDimensions, getDimensions, getGradientColor, getGradientHeight, getValueParameter, isCacheable, isHorizontal, paintGradient, restoreData, saveData`

Methods inherited from class org.ajax4jsf.resource.Java2Dresource
`getImage, getResourceAsStream, send`

Methods inherited from class org.ajax4jsf.resource.InternetResourceBase
`encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getExpired, getKey, getLastModified, getProperty, getRenderer, getUri, isCacheable, isSessionAware, requireFacesContext, restoreData, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderingListClickedGradient

    public OrderingListClickedGradient()

Method Detail

### paint

    protected void paint(org.ajax4jsf.resource.ResourceContext resourceContext,
                         java.awt.Graphics2D g2d)

  Overrides:
    `paint` in class `org.richfaces.renderkit.html.BaseGradient`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.